<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelSpecificationsRequest StructType
 * @subpackage Structs
 */
class JP_HotelSpecificationsRequest extends AbstractStructBase
{
    /**
     * The HotelCodes
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_HotelInventoryCode
     */
    public $HotelCodes;
    /**
     * Constructor method for JP_HotelSpecificationsRequest
     * @uses JP_HotelSpecificationsRequest::setHotelCodes()
     * @param \ArrayType\ArrayOfJP_HotelInventoryCode $hotelCodes
     */
    public function __construct(\ArrayType\ArrayOfJP_HotelInventoryCode $hotelCodes = null)
    {
        $this
            ->setHotelCodes($hotelCodes);
    }
    /**
     * Get HotelCodes value
     * @return \ArrayType\ArrayOfJP_HotelInventoryCode|null
     */
    public function getHotelCodes()
    {
        return $this->HotelCodes;
    }
    /**
     * Set HotelCodes value
     * @param \ArrayType\ArrayOfJP_HotelInventoryCode $hotelCodes
     * @return \StructType\JP_HotelSpecificationsRequest
     */
    public function setHotelCodes(\ArrayType\ArrayOfJP_HotelInventoryCode $hotelCodes = null)
    {
        $this->HotelCodes = $hotelCodes;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_HotelSpecificationsRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
